Debian Bug report logs - #206287
dialog: FTBFS: Cannot find term.h

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Tue, 19 Aug 2003 22:48:05 UTC

Severity: serious

Tags: upstream

Found in version 0.9b-20030818-1

Fixed in version dialog/0.9b-20030820-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: FTBFS: Cannot find term.h
Date: Tue, 19 Aug 2003 15:35:31 -0700
Package: dialog
Version: 0.9b-20030818-1
Severity: serious

From my build log:

...
gcc -g -Wall -O2  -D_GNU_SOURCE -DHAVE_CONFIG_H -I. -I. -DLOCALEDIR=\"/usr/share/locale\" -DVERSION=\"`cat ./VERSION`\" -c util.c
util.c:34:18: term.h: No such file or directory
util.c: In function `init_dialog':
util.c:296: error: `key_mouse' undeclared (first use in this function)
util.c:296: error: (Each undeclared identifier is reported only once
util.c:296: error: for each function it appears in.)
util.c:297: error: `enter_ca_mode' undeclared (first use in this function)
util.c:298: error: `exit_ca_mode' undeclared (first use in this function)
util.c:306: error: `clear_screen' undeclared (first use in this function)
make[1]: *** [util.o] Error 1
make[1]: Leaving directory `/tmp/buildd/dialog-0.9b-20030818'
make: *** [build] Error 2

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux frobnitz 2.4.21-pre5 #1 Sat Mar 1 09:01:10 PST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages dialog depends on:
ii  debianutils               2.5.4          Miscellaneous utilities specific t
ii  libc6                     2.3.2-2        GNU C Library: Shared libraries an
ii  libncurses5               5.3.20030719-1 Shared libraries for terminal hand

-- no debconf information


-- 
Daniel Schepler              "Please don't disillusion me.  I
schepler@math.berkeley.edu    haven't had breakfast yet."
                                 -- Orson Scott Card



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Daniel Schepler <schepler@math.berkeley.edu>, 206287@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>
Subject: Re: Bug#206287: dialog: FTBFS: Cannot find term.h
Date: Tue, 19 Aug 2003 19:24:35 -0400 (EDT)
On Tue, 19 Aug 2003, Daniel Schepler wrote:

> Package: dialog
> Version: 0.9b-20030818-1
> Severity: serious
>
> >From my build log:
>
> ...
> gcc -g -Wall -O2  -D_GNU_SOURCE -DHAVE_CONFIG_H -I. -I. -DLOCALEDIR=\"/usr/share/locale\" -DVERSION=\"`cat ./VERSION`\" -c util.c
> util.c:34:18: term.h: No such file or directory

if you don't have term.h, you don't have ncurses-development installed.

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 206287-done@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "Thomas E. Dickey" <dickey@herndon4.his.com>
Cc: Daniel Schepler <schepler@math.berkeley.edu>, 206287-done@bugs.debian.org
Subject: Re: Bug#206287: dialog: FTBFS: Cannot find term.h
Date: Wed, 20 Aug 2003 01:43:46 +0200 (CEST)
On Tue, 19 Aug 2003, Thomas E. Dickey wrote:

> On Tue, 19 Aug 2003, Daniel Schepler wrote:
>
> > Package: dialog
> > Version: 0.9b-20030818-1
> > Severity: serious
> >
> > >From my build log:
> >
> > ...
> > gcc -g -Wall -O2  -D_GNU_SOURCE -DHAVE_CONFIG_H -I. -I. -DLOCALEDIR=\"/usr/share/locale\" -DVERSION=\"`cat ./VERSION`\" -c util.c
> > util.c:34:18: term.h: No such file or directory
>
> if you don't have term.h, you don't have ncurses-development installed.

Indeed.

There must be something wrong in your system, because this package has
been already successfully built under 9 different architectures by the
buildd's. Please search for the dialog package at

http://buildd.debian.org/build.php

for details.



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #25 received at 206287@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: Santiago Vila <sanvila@unex.es>
Cc: "Thomas E. Dickey" <dickey@herndon4.his.com>, 206287@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#206287: dialog: FTBFS: Cannot find term.h
Date: Tue, 19 Aug 2003 16:50:31 -0700
reopen 206287
thanks

Santiago Vila <sanvila@unex.es> writes:

> On Tue, 19 Aug 2003, Thomas E. Dickey wrote:
>
>> On Tue, 19 Aug 2003, Daniel Schepler wrote:
>>
>> > Package: dialog
>> > Version: 0.9b-20030818-1
>> > Severity: serious
>> >
>> > >From my build log:
>> >
>> > ...
>> > gcc -g -Wall -O2  -D_GNU_SOURCE -DHAVE_CONFIG_H -I. -I. -DLOCALEDIR=\"/usr/share/locale\" -DVERSION=\"`cat ./VERSION`\" -c util.c
>> > util.c:34:18: term.h: No such file or directory
>>
>> if you don't have term.h, you don't have ncurses-development installed.
>
> Indeed.
>
> There must be something wrong in your system, because this package has
> been already successfully built under 9 different architectures by the
> buildd's. Please search for the dialog package at
>
> http://buildd.debian.org/build.php
>
> for details.

What I see there is:

0.9b-20030818-1 (mipsel) (latest build at Aug 19 12:38: maybe-failed)
0.9b-20030818-1 (s390) (latest build at Aug 19 12:45: maybe-failed)
0.9b-20030818-1 (hppa) (latest build at Aug 19 13:06: maybe-failed)
0.9b-20030818-1 (ia64) (latest build at Aug 19 13:19: maybe-failed)
0.9b-20030818-1 (mips) (latest build at Aug 19 13:35: maybe-failed)
0.9b-20030818-1 (alpha) (latest build at Aug 19 14:00: maybe-failed)
0.9b-20030818-1 (powerpc) (latest build at Aug 19 14:07: maybe-failed)
0.9b-20030818-1 (m68k) (latest build at Aug 19 15:28: maybe-failed)
0.9b-20030818-1 (sparc) (latest build at Aug 19 18:45: maybe-failed)

And the powerpc log (chosen at random) shows the same error as I
reported.
-- 
Daniel Schepler              "Please don't disillusion me.  I
schepler@math.berkeley.edu    haven't had breakfast yet."
                                 -- Orson Scott Card



Bug reopened, originator not changed. Request was from Daniel Schepler <schepler@math.berkeley.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #32 received at 206287@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Daniel Schepler <schepler@math.berkeley.edu>
Cc: 206287@bugs.debian.org
Subject: Re: Bug#206287: dialog: FTBFS: Cannot find term.h
Date: Tue, 19 Aug 2003 20:06:29 -0400 (EDT)
On Tue, 19 Aug 2003, Daniel Schepler wrote:

> >> if you don't have term.h, you don't have ncurses-development installed.
> >
> > Indeed.

;-)

> >
> > There must be something wrong in your system, because this package has
> > been already successfully built under 9 different architectures by the
> > buildd's. Please search for the dialog package at
> >
> > http://buildd.debian.org/build.php
> >
> > for details.
>
> What I see there is:
>
> 0.9b-20030818-1 (mipsel) (latest build at Aug 19 12:38: maybe-failed)
> 0.9b-20030818-1 (s390) (latest build at Aug 19 12:45: maybe-failed)
> 0.9b-20030818-1 (hppa) (latest build at Aug 19 13:06: maybe-failed)
> 0.9b-20030818-1 (ia64) (latest build at Aug 19 13:19: maybe-failed)
> 0.9b-20030818-1 (mips) (latest build at Aug 19 13:35: maybe-failed)
> 0.9b-20030818-1 (alpha) (latest build at Aug 19 14:00: maybe-failed)
> 0.9b-20030818-1 (powerpc) (latest build at Aug 19 14:07: maybe-failed)
> 0.9b-20030818-1 (m68k) (latest build at Aug 19 15:28: maybe-failed)
> 0.9b-20030818-1 (sparc) (latest build at Aug 19 18:45: maybe-failed)
>
> And the powerpc log (chosen at random) shows the same error as I
> reported.

A quick check of the configure script, and util.c doesn't show anyplace I
might have broken the ifdef's or configure checks for term.h -- perhaps
it's related to the change to use ncursesw rather than ncurses.  Looking
at the configure output, I see that it found ncursesw/curses.h, but no
ncurses/term.h (note the missing "w").  That appears to be an omission in
my configure script which I didn't notice since I've almost always got
ncurses installed.  I'll make a fix for just that problem and put a new
tarball on my ftp area so we can move ahead on this.

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #37 received at 206287@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Daniel Schepler <schepler@math.berkeley.edu>, 206287@bugs.debian.org
Cc: "Thomas E. Dickey" <dickey@herndon4.his.com>
Subject: Re: Bug#206287: dialog: FTBFS: Cannot find term.h
Date: Wed, 20 Aug 2003 02:15:51 +0200 (CEST)
> What I see there is:
>
> 0.9b-20030818-1 (mipsel) (latest build at Aug 19 12:38: maybe-failed)
> 0.9b-20030818-1 (s390) (latest build at Aug 19 12:45: maybe-failed)
> 0.9b-20030818-1 (hppa) (latest build at Aug 19 13:06: maybe-failed)
> 0.9b-20030818-1 (ia64) (latest build at Aug 19 13:19: maybe-failed)
> 0.9b-20030818-1 (mips) (latest build at Aug 19 13:35: maybe-failed)
> 0.9b-20030818-1 (alpha) (latest build at Aug 19 14:00: maybe-failed)
> 0.9b-20030818-1 (powerpc) (latest build at Aug 19 14:07: maybe-failed)
> 0.9b-20030818-1 (m68k) (latest build at Aug 19 15:28: maybe-failed)
> 0.9b-20030818-1 (sparc) (latest build at Aug 19 18:45: maybe-failed)

Oops!, sorry. I misread it, I believed they were in reverse
chronological order and read the first entries... from 2001.

Thanks for the reopening.

Thomas, I believe what happened here is that I built this package
with both libncurses5-dev and libncurses5w-dev installed.

dpkg -S term.h yields:

libncursesw5-dev: /usr/include/ncursesw/term.h
libncurses5-dev: /usr/include/term.h

and that's why the build was successful in my system.

I would consider this as a bug in the configure script, if --with-ncursesw
is used in the configure script, then ncursesw/term.h should be used,
not term.h.

(Or maybe it's a bug in the debian libncursesw5-dev package?)



Severity set to `normal'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206287; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #48 received at 206287@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: Daniel Schepler <schepler@math.berkeley.edu>, 206287@bugs.debian.org, "Thomas E. Dickey" <dickey@herndon4.his.com>
Subject: Re: Bug#206287: dialog: FTBFS: Cannot find term.h
Date: Tue, 19 Aug 2003 20:39:32 -0400 (EDT)
On Wed, 20 Aug 2003, Santiago Vila wrote:

> and that's why the build was successful in my system.
>
> I would consider this as a bug in the configure script, if --with-ncursesw
> is used in the configure script, then ncursesw/term.h should be used,
> not term.h.

yes, it's my bug (I'll have to modify aclocal.m4 and generate a new
configure file -- also a couple of lines for ifdef's in util.c to pick
up <ncursesw/term.h>).  I thought I'd fixed all of those in March, but
overlooked this one.

> (Or maybe it's a bug in the debian libncursesw5-dev package?)

no.  The configure script is supposed to do the right thing.

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 206287-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 206287-close@bugs.debian.org
Subject: Bug#206287: fixed in dialog 0.9b-20030820-1
Date: Thu, 21 Aug 2003 05:47:07 -0400
We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20030820-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20030820-1.diff.gz
dialog_0.9b-20030820-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20030820-1.dsc
dialog_0.9b-20030820-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20030820-1_i386.deb
dialog_0.9b-20030820.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20030820.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 206287@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 21 Aug 2003 11:36:38 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20030820-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 206287
Changes: 
 dialog (0.9b-20030820-1) unstable; urgency=low
 .
   * New upstream release. Should build from source (Closes: #206287).
Files: 
 b0a2ac3a3cb6c317b7cf123940e8cb0a 596 misc optional dialog_0.9b-20030820-1.dsc
 cb121c95ce51172973c103446267970b 233381 misc optional dialog_0.9b-20030820.orig.tar.gz
 5419ec56b1f6bdc3a1c9b84bcb98974a 6371 misc optional dialog_0.9b-20030820-1.diff.gz
 eb5338a72cd11195f9d4d4b378839f1a 140914 misc optional dialog_0.9b-20030820-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/RJNYd9Uuvj7yPNYRAqu2AKCkcmc7r2Wcp7LYmajIva0tZay80gCdFlxD
plvRG9pRhQVP6c7ugZDtxFU=
=n8JR
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:42:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.